curl --request GET \
--url 'https://api.stateset.com/api/v1/put-aways' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"put_aways": [
{
"assigned_to": "string",
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"receipt_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"receipt_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"status": "pending",
"to_location_id": 1001
}
],
"total": 102
}
List put aways
List put aways
GET
/
api
/
v1
/
put-aways
curl --request GET \
--url 'https://api.stateset.com/api/v1/put-aways' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"put_aways": [
{
"assigned_to": "string",
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"receipt_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"receipt_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"status": "pending",
"to_location_id": 1001
}
],
"total": 102
}
Query parameters
string
integer (int32)
string
string
integer (int32)
integer (int32)
Response
PutAwayListResponse
PutAwayResponse[]
required
integer (int64)
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/put-aways' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"put_aways": [
{
"assigned_to": "string",
"created_at": "2026-08-31T14:22:05Z",
"from_location_id": 1001,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": "string",
"receipt_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"receipt_item_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "SKU-TENT-2P-GRN",
"status": "pending",
"to_location_id": 1001
}
],
"total": 102
}
Last modified on August 31, 2026